xine-lib: xine-lib-1.2.12/src/post/goom/lines.h File Reference

xine-lib 1.2.12

Data Structures | Macros | Functions
lines.h File Reference
`#include "goom_typedefs.h"`
`#include "goom_graphic.h"`
`#include "goom_config.h"`

Go to the source code of this file.

## Data Structures
struct | _GMUNITPOINTER
struct | _GMLINE

## Macros
#define | GML_CIRCLE 0
#define | GML_HLINE 1
#define | GML_VLINE 2
#define | GML_BLEUBLANC 0
#define | GML_RED 1
#define | GML_ORANGE_V 2
#define | GML_ORANGE_J 3
#define | GML_VERT 4
#define | GML_BLEU 5
#define | GML_BLACK 6

## Functions
GMLine * | goom_lines_init (PluginInfo *goomInfo, int rx, int ry, int IDsrc, float paramS, int modeCoulSrc, int IDdest, float paramD, int modeCoulDest)
void | goom_lines_switch_to (GMLine *gml, int IDdest, float param, float amplitude, int modeCoul)
void | goom_lines_set_res (GMLine *gml, int rx, int ry)
void | goom_lines_free (GMLine **gml)
void | goom_lines_draw (PluginInfo *plugInfo, GMLine *gml, signed short int data[512], Pixel *p)

## Macro Definition Documentation

## ◆ GML_BLACK

#define GML_BLACK 6

## ◆ GML_BLEU

#define GML_BLEU 5

## ◆ GML_BLEUBLANC

#define GML_BLEUBLANC 0

## ◆ GML_CIRCLE

#define GML_CIRCLE 0

## ◆ GML_HLINE

#define GML_HLINE 1

## ◆ GML_ORANGE_J

#define GML_ORANGE_J 3

## ◆ GML_ORANGE_V

#define GML_ORANGE_V 2

## ◆ GML_RED

#define GML_RED 1

## ◆ GML_VERT

#define GML_VERT 4

## ◆ GML_VLINE

#define GML_VLINE 2

## Function Documentation

## ◆ goom_lines_draw()

void goom_lines_draw | ( | PluginInfo * | plugInfo,
|  | GMLine * | gml,
|  | signed short int | data[512],
|  | Pixel * | p
| ) |  |

References _GMLINE::amplitude, _GMUNITPOINTER::angle, _GMLINE::color, _PLUGIN_INFO::draw_line, goom_lines_move(), guint32, lightencolor(), _PLUGIN_INFO::methods, NULL, _GMLINE::points, _GMLINE::power, _GMLINE::screenX, _GMLINE::screenY, _GMUNITPOINTER::x, and _GMUNITPOINTER::y.

Referenced by goom_update().

## ◆ goom_lines_free()

void goom_lines_free | ( | GMLine ** | gml | ) |

References NULL.

Referenced by goom_close().

## ◆ goom_lines_init()

GMLine * goom_lines_init | ( | PluginInfo * | goomInfo,
|  | int | rx,
|  | int | ry,
|  | int | IDsrc,
|  | float | paramS,
|  | int | modeCoulSrc,
|  | int | IDdest,
|  | float | paramD,
|  | int | modeCoulDest
| ) |  |

References _GMLINE::amplitude, _GMLINE::amplitudeF, _GMLINE::color, _GMLINE::color2, genline(), getcouleur(), goom_lines_switch_to(), _GMLINE::goomInfo, _GMLINE::IDdest, _GMLINE::nbPoints, _GMLINE::param, _GMLINE::points, _GMLINE::points2, _GMLINE::power, _GMLINE::powinc, _GMLINE::screenX, and _GMLINE::screenY.

Referenced by goom_init().

## ◆ goom_lines_set_res()

void goom_lines_set_res | ( | GMLine * | gml,
|  | int | rx,
|  | int | ry
| ) |  |

References genline(), _GMLINE::IDdest, NULL, _GMLINE::param, _GMLINE::points2, _GMLINE::screenX, and _GMLINE::screenY.

Referenced by goom_set_resolution().

## ◆ goom_lines_switch_to()

void goom_lines_switch_to | ( | GMLine * | gml,
|  | int | IDdest,
|  | float | param,
|  | float | amplitude,
|  | int | modeCoul
| ) |  |

References _GMLINE::amplitudeF, _GMLINE::color2, genline(), getcouleur(), _GMLINE::IDdest, _GMLINE::param, _GMLINE::points2, _GMLINE::screenX, and _GMLINE::screenY.

Referenced by goom_lines_init(), and goom_update().